Device Opt-out
This API blocks or unblocks specific devices from receiving push notifications triggered from MoEngage. To prevent push notifications from reaching a specific user or all devices associated with a user, call the API to block them. This is useful for reasons such as device theft or fraudulent activity. For example, if a device is stolen, you can use this API to block it in MoEngage, ensuring that any scheduled push notifications with sensitive content do not get delivered. You can also use the API to unblock a device if it is recovered.
Rate Limit
The rate limit is 1000 API requests per minute.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Data tile.
Note: After you generate and save the Data API Key, DO NOT generate a new key unless there is a security breach. After you generate a different Data API key and save it, the authentication will start failing. You must update your existing data tracking.
For more information on authentication and getting your credentials, refer here.
Query Parameters
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Body
This field denotes the type of user identifier.
This field denotes the user identifier.
This field denotes the type of action to be achieved using this API.
block, unblock This field denotes the reason for blocking or unblocking a device.
This field denotes the reference ID of the user.
This field denotes the device identifiers associated with the device you intend to block or unblock. Supported values are:
unique_id(unique_id)device_unique_id(device_id)push_id(push_id)moe_gaid(GAID)
Note:
- If you do not pass this value, the API blocks/unblocks all current devices of the user.
- Ensure to pass any one of the device identifiers for a particular device.
- When passing the device identifiers within the array, ensure to explicitly define each of them.